=== debian/changelog ===
ros-humble-robot-state-publisher (3.0.2-2jammy) jammy; urgency=high

  * Depend on orocos_kdl_vendor (#191 <https://github.com/ros/robot_state_publisher/issues/191>)
  * Contributors: Jacob Perron

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 05 Apr 2022 07:00:00 -0000

ros-humble-robot-state-publisher (3.0.1-2jammy) jammy; urgency=high

  * export dependencies, to use robot_state_publisher as a component (#193 <https://github.com/ros/robot_state_publisher/issues/193>)
  * Contributors: Kenji Brameld

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 28 Mar 2022 07:00:00 -0000

ros-humble-robot-state-publisher (3.0.0-2jammy) jammy; urgency=high

  * Fix include order for cpplint (#186 <https://github.com/ros/robot_state_publisher/issues/186>)
  * Change how parameter updates are handled (#180 <https://github.com/ros/robot_state_publisher/issues/180>)
  * Install includes to instal/${PROJECT_NAME} (#184 <https://github.com/ros/robot_state_publisher/issues/184>)
  * Make the change_fixed_joint test more robust (#183 <https://github.com/ros/robot_state_publisher/issues/183>)
  * Add in a test to make sure fixed transforms change on update
  * Small C++ nice-isms in the tests
  * Switch to using target_include_directories for tests
  * Publish new fixed transforms when URDF is updated
  * Make joint_states subscription QoS configurable; default to SensorDataQoS (#179 <https://github.com/ros/robot_state_publisher/issues/179>)
  * Remove dependency on urdfdom_headers (#168 <https://github.com/ros/robot_state_publisher/issues/168>)
  * Contributors: Anthony Deschamps, Chris Lalancette, Jacob Perron, Russell Joyce, Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-humble-robot-state-publisher (2.7.0-2jammy) jammy; urgency=high

  * Fix deprecated subscriber callbacks (#173 <https://github.com/ros/robot_state_publisher/issues/173>)
  * Contributors: Abrar Rahman Protyasha

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 18 Oct 2021 07:00:00 -0000

ros-humble-robot-state-publisher (2.6.0-2jammy) jammy; urgency=high

  * Cleanup the documentation in the RobotStatePublisher class. (#172 <https://github.com/ros/robot_state_publisher/issues/172>)
  * Always publish fixed frames to /tf_static (#158 <https://github.com/ros/robot_state_publisher/issues/158>)
  * corrected publish_frequency default in README (#166 <https://github.com/ros/robot_state_publisher/issues/166>)
  * Contributors: Chris Lalancette, Jacob Perron, Nils Schulte

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 02 Aug 2021 07:00:00 -0000

ros-humble-robot-state-publisher (2.5.0-2jammy) jammy; urgency=high

  * Add tf frame_prefix parameter (#159 <https://github.com/ros/robot_state_publisher/issues/159>)
  * Contributors: Steve Nogar, Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 11 Jun 2021 07:00:00 -0000

ros-humble-robot-state-publisher (2.4.3-2jammy) jammy; urgency=high

  * Stop rejecting unknown parameters. (#161 <https://github.com/ros/robot_state_publisher/issues/161>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 19 Apr 2021 07:00:00 -0000

ros-humble-robot-state-publisher (2.4.2-2jammy) jammy; urgency=high

  * clean up license to be standard bsd 3 clause (#130 <https://github.com/ros/robot_state_publisher/issues/130>)
  * Update the maintainers. (#151 <https://github.com/ros/robot_state_publisher/issues/151>)
  * Contributors: Chris Lalancette, Tully Foote

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-humble-robot-state-publisher (2.4.1-2jammy) jammy; urgency=high

  * fix types in range loops to avoid copy due to different type (#143 <https://github.com/ros/robot_state_publisher/issues/143>)
  * Make sure not to crash on an invalid URDF. (#141 <https://github.com/ros/robot_state_publisher/issues/141>)
  * Contributors: Chris Lalancette, Dirk Thomas

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 28 Sep 2020 07:00:00 -0000

ros-humble-robot-state-publisher (2.4.0-2jammy) jammy; urgency=high

  * Replace deprecated launch_ros usage (#137 <https://github.com/ros/robot_state_publisher/issues/137>)
  * code style only: wrap after open parenthesis if not in one line (#129 <https://github.com/ros/robot_state_publisher/issues/129>)
  * Refactor the ROS 2 code to be more modern (#126 <https://github.com/ros/robot_state_publisher/issues/126>)
  * Switch to using TARGET_FILE to find the binary targets on Windows.
  * Fix tests on Windows.
  * Make the error message much nicer on Windows.
  * robot_state_publisher_node -> robot_state_publisher
  * Fix test build on Windows.
  * Get rid of redundant declaration.
  * Guard against negative publish_frequencies.
  * Switch to modern launch_testing ReadyToTest.
  * Add testing to robot_state_publisher.
  * Update some example launch files.
  * Implement the ability to change the parameters on the fly.
  * Fix silly bug while computing the publish interval.
  * Refactor to have a "setup" function during the constructor and later on during the parameter setup.
  * Mark things as explicit and final.
  * Update the documentation.
  * Make robot_state_publisher composable.
  * Contributors: Chris Lalancette, Dirk Thomas, Jacob Perron

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 30 Apr 2020 07:00:00 -0000

ros-humble-robot-state-publisher (2.3.1-2jammy) jammy; urgency=high

  * Switch the license back to BSD. (#121 <https://github.com/ros/robot_state_publisher/issues/121>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-humble-robot-state-publisher (2.3.0-2jammy) jammy; urgency=high

  * Install include directories (#31 <https://github.com/ros2/robot_state_publisher/issues/31>)
  * Publish URDF string on startup (#24 <https://github.com/ros2/robot_state_publisher/issues/24>)

